/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.geobackend.base.query.container.exception;

/**
 * Exceptioncalls which will be used to retun Exception in
 * the QuerContainer-Package.
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class QueryContainerException extends Exception {

    /**
     * The UID auf this Class
     */
    private static final long serialVersionUID = -1811252311941938708L;

    /**
     * Constructor
     */
    public QueryContainerException() {
    }

    /**
     * Constructor
     * @param arg0
     */
    public QueryContainerException(String arg0) {
        super(arg0);
    }

    /**
     * Constructor
     * @param arg0
     */
    public QueryContainerException(Throwable arg0) {
        super(arg0);
    }

    /**
     * Constructor
     * @param arg0
     * @param arg1
     */
    public QueryContainerException(String arg0, Throwable arg1) {
        super(arg0, arg1);
    }

}
